Upgrade DB Loop – Conflito de Versão do WordPress DB

Então eu fiz uma atualização automática para o WP 3.3 e recebi uma canvas dizendo que havia uma atualização de database necessária. Acabei de continuar e disse que a atualização foi um sucesso. Eu bati continuo novamente e a mesma canvas apareceu me dizendo que o DB precisava ser atualizado … ciclo de repetição.

Em seguida, alterei a versão DB em version.php (18226) para corresponder o que estava no database na tabela de opções para a versão DB (19470). Isso me permite acessar o backend, mas nada será atualizado. Não é possível atualizar nenhuma publicação ou página. Ele diz que a página está atualizada, mas nunca realmente …

Eu li e tentei todas essas soluções:

Site preso no loop “Atualização de Banco de Dados Obrigatório”

http://blog.nexcess.net/2011/11/15/how-to-fix-the-wordpress-admin-upgrade-loop/

Solution for WordPress WP-Options Issue – Database Upgrade Required

Alguma sugestão?

obrigado

Solutions Collecting From Web of "Upgrade DB Loop – Conflito de Versão do WordPress DB"

Eu já tive esse problema antes. Eu tropecei em um artigo realmente antigo de Mark Jaquith ao forçar uma atualização. O plugin ao qual estou vinculando foi originalmente feito para atualizar de 1.5.x para 2.0.x. Eu estava em um bloqueio, então eu dei uma chance. Eu tinha backups recentes para o meu database, então eu não estava muito preocupado. Felizmente, o plugin ainda funcionou. Que versão ele faz atualmente mostra seu uso?

Eu reparei o problema alterando as credenciais do database em wp-config.php. Aparentemente, eles estavam errados …